use clap::Parser;

#[derive(Debug, Parser)]
#[clap(author, version, about, long_about = None)]
pub struct Options {
	/// IP address to listen on
	#[clap(short, long, default_value = "127.0.0.1")]
	pub address: String,

	/// Port to use
	#[clap(short, long, default_value = "8807")]
	pub port: u16,

	/// URL to access
	#[clap(short, long, default_value = "http://localhost:8807")]
	pub url: String,

	/// Number of HTTP workers
	#[clap(short, long, default_value = "4")]
	pub workers: usize,
}

impl Options {
	pub fn init() -> Self {
		Self::parse()
	}
}
