use actix_multipart::Multipart;
use actix_web::{post, web, Error, HttpResponse};

use handlebars::Handlebars;
use serde_json::to_string_pretty;

use crate::WotLog;

#[post("/submit")]
pub async fn post(
	payload: Multipart,
	_hb: web::Data<Handlebars<'_>>,
) -> Result<HttpResponse, Error> {
	let mut wotlog = WotLog::from_payload(payload).await?;
	wotlog.parse_log()?;
	wotlog.save()?;

	let body = format!("{}", to_string_pretty(&wotlog.json)?);

	Ok(HttpResponse::Ok().body(body))
}
